Skip to content

List dynamic pricing rules

Request

Returns the payin pricing rules configured for your business whose fee bearer is dynamic. These are the rules you may declare a share of, with Create a pricing split.

Use the rule's pricing_type to decide what to declare: bps on a percentage rule, fixed_amount on a fixed rule.

Security
JWT
Query
per_pageinteger

Number of resources per page. Should be between 1 and 100.

Default:20
pageinteger

Page number for pagination. Starts from 1. Get the next page number from the next field in the response.

Default:1
curl -i -X GET \
  'https://api.glomopay.com/api/v1/prices/dynamic?per_page=20&page=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of dynamic pricing rules available to your business

Bodyapplication/json
dataArray of objects(DynamicPrice)
page_metaobject(PageMeta)
Response
{ "data": [ { … }, { … } ], "page_meta": { "current": 1, "previous": null, "next": null, "per_page": 20, "pages": 1, "count": 2 } }